Loading...
Searching...
No Matches
volk_32fc_32f_dot_prod_32fc.h File Reference
`#include <stdio.h>`
`#include <volk/volk_common.h>`
`#include <immintrin.h>`
`#include <arm_neon.h>`

Go to the source code of this file.

## Functions

static void | volk_32fc_32f_dot_prod_32fc_generic (lv_32fc_t *result, const lv_32fc_t *input, const float *taps, unsigned int num_points)
static void | volk_32fc_32f_dot_prod_32fc_a_avx (lv_32fc_t *result, const lv_32fc_t *input, const float *taps, unsigned int num_points)
static void | volk_32fc_32f_dot_prod_32fc_a_sse (lv_32fc_t *result, const lv_32fc_t *input, const float *taps, unsigned int num_points)
static void | volk_32fc_32f_dot_prod_32fc_u_avx (lv_32fc_t *result, const lv_32fc_t *input, const float *taps, unsigned int num_points)
static void | volk_32fc_32f_dot_prod_32fc_neon_unroll (lv_32fc_t *__restrict result, const lv_32fc_t *__restrict input, const float *__restrict taps, unsigned int num_points)
static void | volk_32fc_32f_dot_prod_32fc_a_neon (lv_32fc_t *__restrict result, const lv_32fc_t *__restrict input, const float *__restrict taps, unsigned int num_points)
static void | volk_32fc_32f_dot_prod_32fc_u_sse (lv_32fc_t *result, const lv_32fc_t *input, const float *taps, unsigned int num_points)

## Function Documentation

## volk_32fc_32f_dot_prod_32fc_a_avx()

void volk_32fc_32f_dot_prod_32fc_a_avx | ( | lv_32fc_t * | result,
|  | const lv_32fc_t * | input,
|  | const float * | taps,
|  | unsigned int | num_points )

inline static

## volk_32fc_32f_dot_prod_32fc_a_neon()

void volk_32fc_32f_dot_prod_32fc_a_neon | ( | lv_32fc_t *__restrict | result,
|  | const lv_32fc_t *__restrict | input,
|  | const float *__restrict | taps,
|  | unsigned int | num_points )

inline static

## volk_32fc_32f_dot_prod_32fc_a_sse()

void volk_32fc_32f_dot_prod_32fc_a_sse | ( | lv_32fc_t * | result,
|  | const lv_32fc_t * | input,
|  | const float * | taps,
|  | unsigned int | num_points )

inline static

## volk_32fc_32f_dot_prod_32fc_generic()

void volk_32fc_32f_dot_prod_32fc_generic | ( | lv_32fc_t * | result,
|  | const lv_32fc_t * | input,
|  | const float * | taps,
|  | unsigned int | num_points )

inline static

## volk_32fc_32f_dot_prod_32fc_neon_unroll()

void volk_32fc_32f_dot_prod_32fc_neon_unroll | ( | lv_32fc_t *__restrict | result,
|  | const lv_32fc_t *__restrict | input,
|  | const float *__restrict | taps,
|  | unsigned int | num_points )

inline static

## volk_32fc_32f_dot_prod_32fc_u_avx()

void volk_32fc_32f_dot_prod_32fc_u_avx | ( | lv_32fc_t * | result,
|  | const lv_32fc_t * | input,
|  | const float * | taps,
|  | unsigned int | num_points )

inline static

## volk_32fc_32f_dot_prod_32fc_u_sse()

void volk_32fc_32f_dot_prod_32fc_u_sse | ( | lv_32fc_t * | result,
|  | const lv_32fc_t * | input,
|  | const float * | taps,
|  | unsigned int | num_points )

inline static